Discards values from right, while a test passes. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [drop], [dropRight], [dropWhile], [dropWhileRight].<br>
> Similar: [take], [drop].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.dropWhileRight(x, ft);
// x:  an array
// ft: test function (v, i, x)
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4, 5];
array.dropWhileRight(x, v => v >= 3);
// [ 1, 2 ]

array.dropWhileRight(x, v => v >= 4);
// [ 1, 2, 3 ]
```

### references

- [Data.List.dropWhile: Haskell](https://hackage.haskell.org/package/base-4.14.0.0/docs/Data-List.html#v:dropWhile)
- [Array.prototype.slice: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/slice)

[:vhs:]: https://asciinema.org/a/339739
[:running:]: https://npm.runkit.com/@extra-array/drop-while-right
[:package:]: https://www.npmjs.com/package/@extra-array/drop-while-right
[:moon:]: https://www.npmjs.com/package/@extra-array/drop-while-right.min
[:ledger:]: https://unpkg.com/@extra-array/drop-while-right/
[drop]: https://github.com/nodef/extra-array/wiki/drop
[dropRight]: https://github.com/nodef/extra-array/wiki/dropRight
[dropWhile]: https://github.com/nodef/extra-array/wiki/dropWhile
[dropWhileRight]: https://github.com/nodef/extra-array/wiki/dropWhileRight
[take]: https://github.com/nodef/extra-array/wiki/take
