'use strict';

/**
 * Scans from right, until a test passes.
 * @param x an array
 * @param ft test function (v, i, x)
 * @returns first index where test fails till end
 */
function scanUntilRight(x, ft) {
    for (var i = x.length - 1; i >= 0; i--)
        if (ft(x[i], i, x))
            break;
    return i + 1;
}

/**
 * Discards values from right, while a test passes.
 * @param x an array
 * @param ft test function (v, i, x)
 */
function dropWhileRight(x, ft) {
    return x.slice(0, scanUntilRight(x, ft));
}

module.exports = dropWhileRight;
